Package org.apache.tomcat.util.digester

## Class RuleSetBase

- java.lang.Object
- - org.apache.tomcat.util.digester.RuleSetBase

All Implemented Interfaces:
  `RuleSet`

Direct Known Subclasses:
  `ClusterRuleSet`, `ContextRuleSet`, `CredentialHandlerRuleSet`, `EngineRuleSet`, `HostRuleSet`, `ImplicitTldRuleSet`, `MemoryRuleSet`, `NamingRuleSet`, `RealmRuleSet`, `TldRuleSet`, `WebRuleSet`

    @Deprecated
    public abstract class RuleSetBase
    extends java.lang.Object
    implements RuleSet

Deprecated.
Unnecessary once deprecated methods are removed. Will be removed in Tomcat 9.

Convenience base class that implements the `RuleSet` interface. Concrete implementations should list all of their actual rule creation logic in the `addRuleSet()` implementation.

### Field Summary

Fields
`protected java.lang.String` `namespaceURI` Deprecated. Unused.

### Constructor Summary

Constructors
`RuleSetBase()` Deprecated.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`abstract void` `addRuleInstances​(Digester digester)` Deprecated. Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).
`java.lang.String` `getNamespaceURI()` Deprecated. Unused.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### namespaceURI

    @Deprecated
    protected java.lang.String namespaceURI

Deprecated.
Unused. This will be removed in Tomcat 9.
The namespace URI that all Rule instances created by this RuleSet will be associated with.

### Constructor Detail

#### RuleSetBase

    public RuleSetBase()

Deprecated.

### Method Detail

#### getNamespaceURI

    @Deprecated
    public java.lang.String getNamespaceURI()

Deprecated.
Unused. This will be removed in Tomcat 9.
Return the namespace URI that will be applied to all Rule instances created from this RuleSet.

Specified by:
  `getNamespaceURI` in interface `RuleSet`
Returns:
  the namespace URI that will be applied to all Rule instances created from this RuleSet.

#### addRuleInstances

    public abstract void addRuleInstances​(Digester digester)

Deprecated.
Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

Specified by:
  `addRuleInstances` in interface `RuleSet`
Parameters:
  `digester` - Digester instance to which the new Rule instances should be added.